Subject: Re: shavano/NCAR Graphics testing

From: [email-masked] (Mary Haley)
Date: Tue, 30 Nov 93 11:19:06 MST

> > Hi Ben,
> > 
> > As you are aware, the Crays are upgrading to UNICOS 7.1.x on Monday.
> > There will be one last testing phase, and I'm responsible for testing
> > NCAR Graphics.  I would like to test a real user code if possible, and
> > that's why I'm writing you.  Do you have an interactive NCAR Graphics
> > program that I could run, that would take no more than 90 minutes to
> > execute?  If you don't have such a program, do you know of anybody
> > who might?  I really appreciate anything you can come up with.
> > 
> > Thanks,
> > 
> > Mary Haley
> > 
> > 
> 
> Mary:
> 
> I'm not sure what you mean by "interactive" NCAR Graphics programs.

I'm just using "interactive" to distinguish it from "batch".  I want
an executable that I can run during test time.  If it's a batch job,
then some changes would have to be made to the script before I could
run it during the test period.

> I certainly have several Cray codes that use ncar graphics, and I
> could send you a script to run one. You can run the codes 
> interactively on the cray of course, but they don't use any
> window toolkits or anything like that. Depending on inputs, they
> will run *much* less than 90 min, e.g., 2-10 mins. 

That would be great.  Do you have the original graphics files so I
can compare the results?

> 
> I guess you are testing ncarg with a new UNICOS OS. In that case
> would it be ok to run a script that simply gets an executable
> from the mss and runs it, i.e., no compile or load necessary?
> (this would be an executable that was made with the latest ncarg)

That's exactly what I'm looking for.  Since things are supposed to be
upward binary compatible, I want to take a binary that was generated
under UNICOS 6.1 and see if it runs under UNICOS 7.1.x.  Since the
test period is supposed to occur on Thursday from 6:30-8:30 am, would
it be possible for me to get the script by then?

I would be happy to test more than one executable too!  You can never
do too much testing...

I really appreciate your help!

Mary